@php

  $elemento = (object) ['atributos' => []];

  if (empty($clases))
    $clases = 'input-group'
  ;

  if (!empty($clases))
    $elemento->atributos[] = 'class="' . preg_replace('/\s+/', ' ', $clases) . '"'
  ;

  if (!empty($atributos))
    $elemento->atributos[] = preg_replace('/\s+/', ' ', $atributos)
  ;

  $elemento->atributos = implode(' ', $elemento->atributos);

@endphp

<div {!! $elemento->atributos !!}>{{ $slot }}</div>